summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2016-03-23 21:02:40 +0300
committerGluzskiy Alexandr <sss123next@list.ru>2016-03-23 21:02:40 +0300
commitc5efb12613aee29f8a9556a66e60598170a0bf27 (patch)
treedec556e973ac6a48b62ff4e4c4bb78b18ade4f17
parent3b54d40dde833fdf437a2cb714c701a7fdc26c60 (diff)
wine: sync with gentoo upstream
-rw-r--r--app-emulation/wine/files/wine-1.7.39-gstreamer-v5-staging-pre.patch40
-rw-r--r--app-emulation/wine/wine-scm.ebuild100
2 files changed, 40 insertions, 100 deletions
diff --git a/app-emulation/wine/files/wine-1.7.39-gstreamer-v5-staging-pre.patch b/app-emulation/wine/files/wine-1.7.39-gstreamer-v5-staging-pre.patch
deleted file mode 100644
index 81aa699..0000000
--- a/app-emulation/wine/files/wine-1.7.39-gstreamer-v5-staging-pre.patch
+++ /dev/null
@@ -1,40 +0,0 @@
-From 1527fb44c331f2c61224514beb758895a5f85c8d Mon Sep 17 00:00:00 2001
-From: Sebastian Lackner <sebastian@fds-team.de>
-Date: Thu, 19 Mar 2015 07:51:48 +0100
-Subject: Revert various changes conflicting with Maarten Lankhorst's gstreamer
- hack v5.
-
-Note: These changes have to be reapplied with the corresponding -post patchset
-afterwards.
----
- dlls/ntdll/thread.c | 7 -------
- 1 file changed, 7 deletions(-)
-
-diff --git a/dlls/ntdll/thread.c b/dlls/ntdll/thread.c
-index 30a4720..843be0f 100644
---- a/dlls/ntdll/thread.c
-+++ b/dlls/ntdll/thread.c
-@@ -385,8 +385,6 @@ void terminate_thread( int status )
- void exit_thread( int status )
- {
- static void *prev_teb;
-- shmlocal_t *shmlocal;
-- sigset_t sigset;
- TEB *teb;
-
- if (status) /* send the exit code to the server (0 is already the default) */
-@@ -425,11 +423,6 @@ void exit_thread( int status )
- }
- }
-
-- sigemptyset( &sigset );
-- sigaddset( &sigset, SIGQUIT );
-- pthread_sigmask( SIG_BLOCK, &sigset, NULL );
-- if (interlocked_xchg_add( &nb_threads, -1 ) <= 1) _exit( status );
--
- close( ntdll_get_thread_data()->wait_fd[0] );
- close( ntdll_get_thread_data()->wait_fd[1] );
- close( ntdll_get_thread_data()->reply_fd );
---
-2.3.2
-
diff --git a/app-emulation/wine/wine-scm.ebuild b/app-emulation/wine/wine-scm.ebuild
index 8258f44..679924f 100644
--- a/app-emulation/wine/wine-scm.ebuild
+++ b/app-emulation/wine/wine-scm.ebuild
@@ -1,6 +1,6 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/wine/wine-1.7.38.ebuild,v 1.1 2015/03/08 07:00:24 tetromino Exp $
+# $Id$
EAPI="5"
@@ -8,7 +8,7 @@ AUTOTOOLS_AUTORECONF=1
PLOCALES="ar bg ca cs da de el en en_US eo es fa fi fr he hi hr hu it ja ko lt ml nb_NO nl or pa pl pt_BR pt_PT rm ro ru sk sl sr_RS@cyrillic sr_RS@latin sv te th tr uk wa zh_CN zh_TW"
PLOCALE_BACKUP="en"
-inherit autotools-utils eutils fdo-mime flag-o-matic gnome2-utils l10n multilib multilib-minimal pax-utils toolchain-funcs virtualx
+inherit autotools-utils eutils fdo-mime flag-o-matic gnome2-utils l10n multilib multilib-minimal pax-utils toolchain-funcs virtualx versionator
EGIT_REPO_URI="git://source.winehq.org/git/wine.git http://source.winehq.org/git/wine.git"
EGIT_BRANCH="master"
@@ -16,23 +16,21 @@ inherit git-r3
SRC_URI=""
#KEYWORDS=""
-GV="2.36"
-MV="4.5.6"
+GV="2.44"
+MV="4.6.0"
STAGING_P="wine-staging-${PV}"
STAGING_DIR="${WORKDIR}/${STAGING_P}"
WINE_NINE_DIR="${WORKDIR}/wine-nine"
WINE_GENTOO="wine-gentoo-2015.03.07"
-GST_P="wine-1.7.34-gstreamer-v5"
DESCRIPTION="Free implementation of Windows(tm) on Unix"
HOMEPAGE="http://www.winehq.org/"
SRC_URI="${SRC_URI}
gecko? (
- abi_x86_32? ( mirror://sourceforge/${PN}/Wine%20Gecko/${GV}/wine_gecko-${GV}-x86.msi )
- abi_x86_64? ( mirror://sourceforge/${PN}/Wine%20Gecko/${GV}/wine_gecko-${GV}-x86_64.msi )
+ abi_x86_32? ( https://dl.winehq.org/wine/wine-gecko/${GV}/wine_gecko-${GV}-x86.msi )
+ abi_x86_64? ( https://dl.winehq.org/wine/wine-gecko/${GV}/wine_gecko-${GV}-x86_64.msi )
)
- mono? ( mirror://sourceforge/${PN}/Wine%20Mono/${MV}/wine-mono-${MV}.msi )
- gstreamer? ( http://dev.gentoo.org/~tetromino/distfiles/${PN}/${GST_P}.patch.bz2 )
- http://dev.gentoo.org/~tetromino/distfiles/${PN}/${WINE_GENTOO}.tar.bz2"
+ mono? ( https://dl.winehq.org/wine/wine-mono/${MV}/wine-mono-${MV}.msi )
+ https://dev.gentoo.org/~tetromino/distfiles/${PN}/${WINE_GENTOO}.tar.bz2"
STAGING_EGIT_REPO_URI="git://github.com/wine-compholio/wine-staging.git"
@@ -40,11 +38,10 @@ WINE_NINE_EGIT_REPO_URI="https://github.com/NP-Hardass/wine-d3d9-patches.git"
LICENSE="LGPL-2.1"
SLOT="0"
-IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc +fontconfig +gecko gphoto2 gsm gstreamer +jpeg +lcms ldap +mono mp3 ncurses netapi nls nine odbc openal opencl +opengl osmesa oss +perl pcap pipelight +png pulseaudio +realtime s3tc samba scanner selinux +ssl staging test +threads +truetype +udisks v4l vaapi +X +xcomposite xinerama +xml"
+IUSE="+abi_x86_32 +abi_x86_64 +alsa capi cups custom-cflags dos elibc_glibc +fontconfig +gecko gphoto2 gsm gstreamer +jpeg +lcms ldap +mono mp3 ncurses netapi nls nine odbc openal opencl +opengl osmesa oss +perl pcap pipelight +png pulseaudio +realtime run-exes s3tc samba scanner selinux +ssl staging test +threads +truetype +udisks v4l vaapi +X +xcomposite xinerama +xml"
REQUIRED_USE="|| ( abi_x86_32 abi_x86_64 )
test? ( abi_x86_32 )
elibc_glibc? ( threads )
- mono? ( abi_x86_32 )
pipelight? ( staging )
s3tc? ( staging )
vaapi? ( staging )
@@ -63,8 +60,8 @@ COMMON_DEPEND="
gphoto2? ( media-libs/libgphoto2:=[${MULTILIB_USEDEP}] )
openal? ( media-libs/openal:=[${MULTILIB_USEDEP}] )
gstreamer? (
- media-libs/gstreamer:0.10[${MULTILIB_USEDEP}]
- media-libs/gst-plugins-base:0.10[${MULTILIB_USEDEP}]
+ media-libs/gstreamer:1.0[${MULTILIB_USEDEP}]
+ media-plugins/gst-plugins-meta:1.0[${MULTILIB_USEDEP}]
)
X? (
x11-libs/libXcursor[${MULTILIB_USEDEP}]
@@ -155,12 +152,6 @@ usr/share/applications/wine-winecfg.desktop"
wine_build_environment_check() {
[[ ${MERGE_TYPE} = "binary" ]] && return 0
- # bug #549768
-# if [[ $(gcc-major-version) = 5 ]]; then
-# eerror "You need gcc-4.x to build wine; see https://bugs.gentoo.org/549768"
-# eerror
-# return 1
-# fi
if use abi_x86_64 && [[ $(( $(gcc-major-version) * 100 + $(gcc-minor-version) )) -lt 404 ]]; then
eerror "You need gcc-4.4+ to build 64-bit wine"
@@ -185,12 +176,24 @@ pkg_setup() {
}
src_unpack() {
- git-r3_src_unpack
- if use staging || use pulseaudio; then
- EGIT_REPO_URI=${STAGING_EGIT_REPO_URI}
- unset ${PN}_LIVE_REPO;
- EGIT_CHECKOUT_DIR=${STAGING_DIR} git-r3_src_unpack
- fi
+ git-r3_src_unpack
+ if use staging; then
+ local WINE_COMMIT=${EGIT_VERSION}
+
+ EGIT_REPO_URI=${STAGING_EGIT_REPO_URI}
+ unset ${PN}_LIVE_REPO;
+ unset EGIT_COMMIT;
+
+ EGIT_CHECKOUT_DIR=${STAGING_DIR} git-r3_src_unpack
+
+ local STAGING_COMMIT=$("${STAGING_DIR}/patches/patchinstall.sh" --upstream-commit) || die
+
+ if [[ "${WINE_COMMIT}" != "${STAGING_COMMIT}" ]]; then
+ einfo "The current Staging patchset is not guaranteed to apply on this WINE commit."
+ einfo "If src_prepare fails, try emerging with the env var EGIT_COMMIT."
+ einfo "Example: EGIT_COMMIT=${STAGING_COMMIT} emerge -1 wine"
+ fi
+ fi
if use nine; then
EGIT_REPO_URI=${WINE_NINE_EGIT_REPO_URI}
@@ -199,7 +202,6 @@ src_unpack() {
fi
unpack "${WINE_GENTOO}.tar.bz2"
- use gstreamer && unpack "${GST_P}.patch.bz2"
l10n_find_plocales_changes "${S}/po" "" ".po"
}
@@ -208,38 +210,20 @@ src_prepare() {
local md5="$(md5sum server/protocol.def)"
local PATCHES=(
"${FILESDIR}"/${PN}-1.5.26-winegcc.patch #260726
-# "${FILESDIR}"/${PN}-1.4_rc2-multilib-portage.patch #395615
+ "${FILESDIR}"/${PN}-1.9.5-multilib-portage.patch #395615
"${FILESDIR}"/${PN}-1.7.12-osmesa-check.patch #429386
"${FILESDIR}"/${PN}-1.6-memset-O3.patch #480508
)
- if use gstreamer; then
- # See http://bugs.winehq.org/show_bug.cgi?id=30557
- ewarn "Applying experimental patch to fix GStreamer support. Note that"
- ewarn "this patch has been reported to cause crashes in certain games."
-
- # Wine-Staging 1.7.38 "ntdll: Fix race-condition when threads are killed
- # during shutdown" patch and "Added patch to implement shared memory
- # wineserver communication for various user32 functions" prevents the
- # gstreamer patch from applying cleanly.
- # So undo the staging patch, apply gstreamer, then re-apply rebased staging
- # patch on top.
- if use staging; then
- PATCHES+=(
- "${FILESDIR}/${PN}-1.7.39-gstreamer-v5-staging-pre.patch"
- "${WORKDIR}/${GST_P}.patch"
- "${FILESDIR}/${PN}-1.7.39-gstreamer-v5-staging-post.patch" )
- else
- PATCHES+=( "${WORKDIR}/${GST_P}.patch" )
- fi
- fi
if use staging; then
- ewarn "Applying the unofficial Wine-Staging patchset which is unsupported"
- ewarn "by Wine developers. Please don't report bugs to Wine bugzilla"
- ewarn "unless you can reproduce them with USE=-staging"
+ ewarn "Applying the Wine-Staging patchset. Any bug reports to the"
+ ewarn "Wine bugzilla should explicitly state that staging was used."
local STAGING_EXCLUDE=""
use pipelight || STAGING_EXCLUDE="${STAGING_EXCLUDE} -W Pipelight"
+# #577198 1.9.5 only
+# STAGING_EXCLUDE="${STAGING_EXCLUDE} -W makefiles-Disabled_Rules"
+
# Launch wine-staging patcher in a subshell, using epatch as a backend, and gitapply.sh as a backend for binary patches
ebegin "Running Wine-Staging patch installer"
(
@@ -248,11 +232,6 @@ src_prepare() {
source "${STAGING_DIR}/patches/patchinstall.sh"
)
eend $?
- elif use pulseaudio; then
- PATCHES+=( "${STAGING_DIR}/patches/winepulse-PulseAudio_Support"/*.patch )
- fi
- if use nine; then
- PATCHES+=( "${WINE_NINE_DIR}"/*.patch )
fi
autotools-utils_src_prepare
@@ -262,6 +241,9 @@ src_prepare() {
tools/make_requests || die #432348
fi
sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in || die
+ if ! use run-exes; then
+ sed -i '/^MimeType/d' loader/wine.desktop || die #117785
+ fi
# hi-res default icon, #472990, http://bugs.winehq.org/show_bug.cgi?id=24652
cp "${WORKDIR}"/${WINE_GENTOO}/icons/oic_winlogo.ico dlls/user32/resources/ || die
@@ -305,6 +287,7 @@ multilib_src_configure() {
$(use_with oss)
$(use_with pcap)
$(use_with png)
+ $(use_with pulseaudio pulse)
$(use_with threads pthread)
$(use_with scanner sane)
$(use_enable test tests)
@@ -317,9 +300,6 @@ multilib_src_configure() {
$(use_with xml xslt)
)
- if use pulseaudio || use staging; then
- myconf+=( $(use_with pulseaudio pulse) )
- fi
use staging && myconf+=(
--with-xattr
$(use_with vaapi va)